Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161388 - Bad: modules not loaded during boot.
Summary: Bad: modules not loaded during boot.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 4
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-22 19:57 UTC by Rob
Modified: 2015-01-04 22:20 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-30 00:54:58 UTC


Attachments (Terms of Use)

Description Rob 2005-06-22 19:57:33 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050524 Fedora/1.0.4-4 Firefox/1.0.4

Description of problem:
After rebooting my system (2nd since install) the network interface 'FAILED'.  Got it working by "insmod /lib/modules/2.6.11-1.1369_FC4/kernel/drivers/net/e1000/e1000.ko".  Modprobe e1000 or eth0 reports "FATAL: Module e1000 not found".  Oh, I forgot to mention my mouse wasn't working so the gui didn't do me any good so I tried switching to the other terminals... They don't work.  booted into runlevel 1 and manually inserted modules for the usb mouse and nic just to find out later that the mount -t smbfs wasn't working.  After full investigation, I found that quite a few modules were not loaded after boot which causes several services to fail at boot. 

Long story short...  The Kernel or whatever is not loading a whole bunch of drivers at boot time.  It's not isolated to just my mouse and nic card.  It's psycho!

Additional info:
I installed FC4 and found that raid-tools weren't present and that lvm was giving me problems with an existing lvm partition that I could not remove.  To cut the crap, I simply reinstalled, but RHES 4 instead.  This was working wonderful with lvm and I wasn't to worried about RAID.  Life was beautiful for a few days.  But one day I got a new monitor.  Plugged it in and rebooted which is quite normal, right!  Well it did just what was described in the previous paragraph upon reboot.  So I figured, I only had an lvm issue with FC4 that the RHES 4 version cleaned up by allowing me to delete the problem.  And I figured the problem with RHES 4 is much more of a headache than lvm, so I went back to FC4 and it's magically the same!

Our company just purchased a bunch of the RHES 4 copies.  We have a contract with Dell and I am the linux administrator.  I would hate to run into this problem with  when we install this version of RHES.  The system is basically inoperable at this point.

System:  I have a Dell Optiplex GX270 with a Celeron processor.

Version-Release number of selected component (if applicable):
kernel-2.6.11-1.1369_FC4

How reproducible:
Always

Steps to Reproduce:
1. Reboot
2. 
3.
  

Actual Results:  A fresh and clean install.  All modules load upon initial boot after install.

Expected Results:  Modules should auto load during boot.

Additional info:

Please let me know what relevant data you may need.

Comment 1 Dave Jones 2005-07-08 00:20:27 UTC
sounds like for some reason your module dependancy info is broken/missing.
Does running depmod -a -v as root fix it ?



Note You need to log in before you can comment on or make changes to this bug.